# Get tenant inference usage metrics

```http
GET /analytics/v1/inference/myorg
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `GetTenantInferenceUsage`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:inference:analytics`

Returns inference usage metrics (token counts, requests, errors) for the authenticated tenant in the given time range, optionally resampled by window duration and grouped by model

## Parameters

### Query parameters

- `from` (string, required) — Start of time range (RFC3339)
- `to` (string, required) — End of time range (RFC3339)
- `window` (string) — Resample window duration, e.g., 5m, 1h. Minutes and hours are the only supported units
- `groupBy` (string) — Group by fields (comma-separated): model

## Responses

### 200 — Inference usage metrics

Content type: `application/json`

- `series` (array of object)
  - items (object)
    - `samples` (array of object)
      - items (object)
        - `cacheReadCostNanoUsd` (integer)
        - `cachedTokens` (integer)
        - `completionTokens` (integer)
        - `errors` (integer)
        - `inputCostNanoUsd` (integer)
        - `outputCostNanoUsd` (integer)
        - `promptTokens` (integer)
        - `requests` (integer)
        - `timestamp` (string)
        - `totalCostNanoUsd` (integer)
        - `totalTokens` (integer)
        - `windowSizeSeconds` (integer)
    - `tags` (object)
      - `model` (string)

### 400 — Bad request

Content type: `application/json`

- `message` (string)

### 401 — Unauthorized

Content type: `application/json`

- `message` (string)
